Loading...
Searching...
No Matches
D3D12_COMMAND_SIGNATURE_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| _Field_size_full_ (NumArgumentDescs) const D3D12_INDIRECT_ARGUMENT_DESC *pArgumentDescs

## Public Attributes

UINT | ByteStride
UINT | NumArgumentDescs
UINT | NodeMask

## Detailed Description

Definition at line 2772 of file mini_d3d12.h.

## Member Function Documentation

## _Field_size_full_()

D3D12_COMMAND_SIGNATURE_DESC::_Field_size_full_ | ( | NumArgumentDescs |  | ) | const

References NumArgumentDescs.

## Member Data Documentation

## ByteStride

UINT D3D12_COMMAND_SIGNATURE_DESC::ByteStride

Definition at line 2773 of file mini_d3d12.h.

## NumArgumentDescs

UINT D3D12_COMMAND_SIGNATURE_DESC::NumArgumentDescs

Definition at line 2774 of file mini_d3d12.h.

Referenced by _Field_size_full_().

## NodeMask

UINT D3D12_COMMAND_SIGNATURE_DESC::NodeMask

Definition at line 2776 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h